Lavalite package that provides googleapi management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `restaurant/googleapi`.

    "restaurant/googleapi": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Restaurant\Googleapi\Providers\GoogleapiServiceProvider::class,

And also add it to alias

    'Googleapi'  => Restaurant\Googleapi\Facades\Googleapi::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Restaurant\\GoogleapiTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Restaurant\Googleapi\Providers\GoogleapiServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Restaurant\Googleapi\Providers\GoogleapiServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Restaurant\Googleapi\Providers\GoogleapiServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/googleapi/{modulename}

**User**

    http://path-to-route-folder/user/googleapi/{modulename}

**Public**

    http://path-to-route-folder/googleapis


### API endpoints

**List**

    http://path-to-route-folder/api/user/googleapi/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/googleapi/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/googleapi/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/googleapi/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/googleapi/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/googleapi/{modulename}/{slug}
    METHOD: GET