<?php

namespace Restaurant\Googleapi;

use User;

class Googleapi
{
    /**
     * $campaign object.
     */
    protected $campaign;

    /**
     * Constructor.
     */
    public function __construct(\Restaurant\Googleapi\Interfaces\CampaignRepositoryInterface $campaign)
    {
        $this->campaign = $campaign;
    }

    /**
     * Returns count of googleapi.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.campaign.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->campaign->pushCriteria(new \Litepie\Restaurant\Repositories\Criteria\CampaignUserCriteria());
        }

        $campaign = $this->campaign->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('googleapi::' . $view, compact('campaign'))->render();
    }
}
