<?php

namespace Restaurant\Googleapi\Providers;

use Litepie\Contracts\Workflow\Workflow as WorkflowContract;
use Litepie\Foundation\Support\Providers\WorkflowServiceProvider as ServiceProvider;

class WorkflowServiceProvider extends ServiceProvider
{
    /**
     * The validators mappings for the package.
     *
     * @var array
     */
    protected $validators = [
        
        // Bind Campaign workflow validator
        'Restaurant\Googleapi\Models\Campaign' => \Restaurant\Googleapi\Workflow\CampaignValidator::class,
    ];

    /**
     * The actions mappings for the package.
     *
     * @var array
     */
    protected $actions = [
        
        // Bind Campaign workflow actions
        'Restaurant\Googleapi\Models\Campaign' => \Restaurant\Googleapi\Workflow\CampaignAction::class,
    ];

    /**
     * The notifiers mappings for the package.
     *
     * @var array
     */
    protected $notifiers = [
       
        // Bind Campaign workflow notifiers
        'Restaurant\Googleapi\Models\Campaign' => \Restaurant\Googleapi\Workflow\CampaignNotifier::class,
    ];

    /**
     * Register any package workflow validation services.
     *
     * @param \Litepie\Contracts\Workflow\Workflow $workflow
     *
     * @return void
     */
    public function boot(WorkflowContract $workflow)
    {
        parent::registerValidators($workflow);
        parent::registerActions($workflow);
        parent::registerNotifiers($workflow);
    }
}
