<?php

namespace Restaurant\Googleapi\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CampaignTransformer extends TransformerAbstract
{
    public function transform(\Restaurant\Googleapi\Models\Campaign $campaign)
    {
        return [
            'id'                => $campaign->getRouteKey(),
            'key'               => [
                'public'    => $campaign->getPublicKey(),
                'route'     => $campaign->getRouteKey(),
            ], 
            'group_id'          => $campaign->group_id,
            'restaurant_id'     => $campaign->restaurant_id,
            'name'              => $campaign->name,
            'subject'           => $campaign->subject,
            'title'             => $campaign->title,
            'content'           => $campaign->content,
            'image'             => $campaign->image,
            'schedule_time'     => $campaign->schedule_time,
            'is_send'           => $campaign->is_send,
            'deleted_at'        => $campaign->deleted_at,
            'url'               => [
                'public'    => trans_url('googleapi/'.$campaign->getPublicKey()),
                'user'      => guard_url('googleapi/campaign/'.$campaign->getRouteKey()),
            ], 
            'status'            => trans('app.'.$campaign->status),
            'created_at'        => format_date($campaign->created_at),
            'updated_at'        => format_date($campaign->updated_at),
        ];
    }
}