<?php

namespace Restaurant\Googleapi\Workflow;

use Restaurant\Googleapi\Models\Campaign;
use Restaurant\Googleapi\Notifications\CampaignWorkflow as CampaignNotifyer;
use Notification;

class CampaignNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Campaign $campaign
     *
     * @return void
     */
    public function complete(Campaign $campaign)
    {
        return Notification::send($campaign->user, new CampaignNotifyer($campaign, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Campaign $campaign
     *
     * @return void
     */
    public function verify(Campaign $campaign)
    {
        return Notification::send($campaign->user, new CampaignNotifyer($campaign, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Campaign $campaign
     *
     * @return void
     */
    public function approve(Campaign $campaign)
    {
        return Notification::send($campaign->user, new CampaignNotifyer($campaign, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Campaign $campaign
     *
     * @return void
     */
    public function publish(Campaign $campaign)
    {
        return Notification::send($campaign->user, new CampaignNotifyer($campaign, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Campaign $campaign
     *
     * @return void
     */
    public function archive(Campaign $campaign)
    {
        return Notification::send($campaign->user, new CampaignNotifyer($campaign, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Campaign $campaign
     *
     * @return void
     */
    public function unpublish(Campaign $campaign)
    {
        return Notification::send($campaign->user, new CampaignNotifyer($campaign, 'unpublish'));;

    }
}
